Name:       nodejs-oauth-sign
Version:    0.2.0
Release:    1%{?dist}
Summary:    OAuth1 signing for Node.js
# Apache 2.0 License added upstream, will appear in next release
# https://github.com/mikeal/oauth-sign/blob/master/LICENSE
License:    ASL 2.0
Group:      Development/Libraries
URL:        https://github.com/mikeal/oauth-sign
Source0:    http://registry.npmjs.org/oauth-sign/-/oauth-sign-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
%{summary}.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/oauth-sign
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/oauth-sign

%nodejs_symlink_deps

#test requires network
#%%check
#%%{__nodejs} test.js

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/oauth-sign

%changelog
* Fri Apr 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-1
- initial package
